save
set has_violations {D:\11.4_UPDATES\EvaluationKit\svn\PCIE_Demo\designer\PCIe_Demo_top\PCIe_Demo_top_pre_layout_has_violations}
set fp [open $has_violations w]
puts $fp [has_violations -short]
close $fp
report -type combinational_loops -format xml {D:\11.4_UPDATES\EvaluationKit\svn\PCIE_Demo\designer\PCIe_Demo_top\PCIe_Demo_top_combinational_loops.xml}
if { [catch "file delete -force -- {D:\11.4_UPDATES\EvaluationKit\svn\PCIE_Demo\designer\PCIe_Demo_top\pinslacks.txt}"] } {
   ;
}
report -type slack {D:\11.4_UPDATES\EvaluationKit\svn\PCIE_Demo\designer\PCIe_Demo_top\pinslacks.txt}
